BLKID(8)

NAMN
blkid - lokalisera/skriv ut blockenhetens attribut

SYNOPSIS

blkid --label etikett | --uuid uuid

blkid [--no-encoding --garbage-collect --list-one --cache-file fil] [--output format] [--match-tag tagg] [--match-token NAME=value] [enhet...]

blkid --probe [--offset offset] [--output format] [--size storlek] [--match-tag tagg] [--match-types lista] [--usages lista] [--no-part-details] enhet...

blkid --info [--output format] [--match-tag tagg] enhet...

BESKRIVNING

Programmet blkid är kommandoradsgränssnittet för att arbeta med biblioteket libblkid(3). Det kan avgöra vilken typ av innehåll (t.ex. filsystem eller växling) som en blockenhet har, och även attributen (tokens, NAME=value-par) från innehållets metadata (t.ex. LABEL- eller UUID-fält).

Vi rekommenderar att du använder kommandot *lsblk(8) * för att få information om blockenheter, eller lsblk --fs för att få en översikt över filsystem, eller* findmnt(8) * för att söka i redan monterade filsystem.*

    lsblk(8) ger mer information, bättre kontroll över formateringen av utdata, är lätt att använda i skript och kräver inte root-behörighet för att få faktisk information. blkid läser information direkt från enheter och för användare som inte är root returnerar den cachad, overifierad information. blkid är främst avsett för systemtjänster och för att testa libblkid(3)-funktionalitet.

När enhet anges visas tokens från endast denna enhet. Det är möjligt att ange flera enhet-argument på kommandoraden. Om inget anges visas alla partitioner eller odelade enheter som finns i /proc/partitions, om de känns igen.

blkid har två huvudfunktioner: antingen söker du efter en enhet med ett specifikt NAME=värdepar eller så visar du NAME=värdepar för en eller flera angivna enheter.

Av säkerhetsskäl ignorerar blkid i tysthet alla enheter där sonderingsresultatet är ambivalent (flera kolliderande filsystem upptäcks). Probing-läget på låg nivå (-p) ger mer information och extra utgångsstatus i detta fall. Vi rekommenderar att du använder wipefs(8) för att få en detaljerad översikt och för att radera föråldrade saker (magiska strängar) från enheten.

FLAGGOR

Argumenten storlek och offset kan följas av multiplikativa suffix som KiB (=1024), MiB (=1024*1024), och så vidare för GiB, TiB, PiB, EiB, ZiB och YiB (iB är valfritt, t.ex. har "K" samma betydelse som "KiB"), eller suffixen KB (=1000), MB (=1000*1000), och så vidare för GB, TB, PB, EB, ZB och YB.

-c, --cache-file cachefile
    Läs från cachefile i stället för att läsa från standardcachefilen (se avsnittet CONFIGURATION FILE för mer information). Om du vill börja med en ren cache (dvs. inte rapportera enheter som tidigare har skannats men som inte nödvändigtvis är tillgängliga just nu) anger du /dev/null.

-d, --no-encoding
    Koda inte tecken som inte skrivs ut. De tecken som inte skrivs ut kodas som standard med ^- och M-beteckningar. Observera att utdataformatet --output udev använder en annan kodning som inte kan inaktiveras.

-D, --no-part-details
    Skriv inte ut information (PART_ENTRY_*-taggar) från partitionstabellen i lågnivåsonderingsläge.

-g, --garbage-collect
    Utför en sopsortering av blkid-cachen för att ta bort enheter som inte längre finns.

-H, --hint setting
    Ställ in hint för sondering. Tipsen är ett valfritt sätt att tvinga sonderingsfunktioner att t.ex. kontrollera en annan plats. För närvarande stöds "session_offset=nummer" för att ställa in sessionsoffset för UDF med flera sessioner.

-i, --info
    Visa information om I/O-gränser (även kallad I/O-topologi). Utdataformatet "export" aktiveras automatiskt. Denna flagga kan användas tillsammans med flaggan --probe.

-k, --list-filesystems
    Lista alla kända filsystem och RAID och avsluta.

-l, --list-one
    Letar bara upp en enhet som matchar den sökparameter som anges med flaggan --match-token. Om det finns flera enheter som matchar den angivna sökparametern returneras enheten med högst prioritet och/eller den första enheten som hittas med en given prioritet (se dock nedanstående anmärkning om udev). Enhetstyper i ordning efter fallande prioritet är: Device Mapper, EVMS, LVM, MD och slutligen vanliga blockenheter. Om denna flagga inte anges kommer blkid att skriva ut alla enheter som matchar sökparametern.

    Denna flagga tvingar blkid att använda udev när det används för LABEL- eller UUID-token i --match-token. Målet är att ge utdata som överensstämmer med andra verktyg (som mount(8), etc.) på system där samma tagg används för flera enheter.

-L, --label etikett
    Leta upp den enhet som använder detta filsystem etikett; detta är lika med --list-one --output device --match-token LABEL=etikett. Den här uppslagsmetoden kan på ett tillförlitligt sätt använda /dev/disk/by-label udev-symlänkar (beroende på en inställning i /etc/blkid.conf). Undvik att använda sym-länkarna direkt; det är inte tillförlitligt att använda sym-länkarna utan verifiering. Flaggan --label fungerar både på system med och utan udev.

    Tyvärr använder originalversionen av blkid(8) från e2fsprogs flaggan -L som en synonym till -o list. För bättre portabilitet bör du använda -l -o device -t LABEL=etikett och -o list i dina skript i stället för flaggan -L.

-n, --match-types lista
    Begränsa sonderingsfunktionerna till den angivna (kommaseparerade) listan med superblockstyper (namn). Listobjekten kan föregås av "no" för att ange vilka typer som ska ignoreras. Till exempel:

    blkid --probe --match-types vfat,ext3,ext4 /dev/sda1

    prober för filsystem vfat, ext3 och ext4, och

    blkid --probe --match-types nominix /dev/sda1

    prober för alla format som stöds utom minix-filsystem. Denna flagga är endast användbart tillsammans med --probe.

-o, --output format
    Använd det angivna utmatningsformatet. Observera att ordningen på variabler och enheter inte är fast. Se även flaggan -s. Parametern format kan vara:

    full
        skriv ut alla taggar (standard)

    *värde
        skriva ut värdet på taggarna

    lista
        skriva ut enheterna i ett användarvänligt format; detta utdataformat stöds inte för lågnivåsondering (--probe eller --info).

        Detta utdataformat är DEPRECIERAT till förmån för kommandot lsblk(8).

    apparat
        skriver endast ut enhetsnamnet; detta utdataformat är alltid aktiverat för flaggorna --label och --uuid

    udev
        skriver ut nyckel="värde"-par för enkel import till udev-miljön; nycklarna föregås av prefixen ID_FS_ eller ID_PART_. Värdet kan modifieras för att vara säkert för udev-miljön; tillåtet är vanlig ASCII, hex-escaping och giltig UTF-8, allt annat (inklusive blanksteg) ersätts med '_'. Nycklar med postfixet _ENC använder hex-escaping för osäkra tecken.

        Udev-utmatningen returnerar ID_FS_AMBIVALENT-taggen om fler superblock upptäcks, och ID_PART_ENTRY_*-taggar returneras alltid för alla partitioner, inklusive tomma partitioner.

        Detta utdataformat är FÖRÅLDRAT.

    exportera
        skriva ut nyckel=värde-par för enkel import till miljön; detta utdataformat aktiveras automatiskt när I/O-gränser (--info-flaggan) begärs.

        De icke-tryckbara tecknen kodas med ^- och M-notation och alla potentiellt osäkra tecken escapas.

    json
        Skriv ut taggposterna i JSON-objekt.

-O, --offset offset
    Prova vid den angivna offset (endast användbart med --probe). Denna flagga kan användas tillsammans med flaggan --info.

-p, --probe
    Växla till superblocksonderingsläge på låg nivå (förbi cacheminnet).

    Observera att lågnivåsondering även returnerar information om partitionstabelltyp (PTTYPE-tagg) och partitioner (PART_ENTRY_*-taggar). Taggnamnen som produceras av lågnivåsondering baseras på namn som används internt av libblkid och kan vara annorlunda än när de körs utan --probe (t.ex. PART_ENTRY_UUID= jämfört med PARTUUID=). Se även --no-part-details.

-s, --match-tag tagg
    För varje (angiven) enhet visas endast de taggar som matchar tagg. Det är möjligt att ange flera --match-tag-flaggor. Om ingen tagg anges visas alla tokens för alla (angivna) enheter. Om du bara vill uppdatera cacheminnet utan att visa några tokens använder du --match-tag none utan några andra flaggor.

-S, --size storlek
    Åsidosätt storleken på enhet/fil (endast användbart med --probe).

-t, --match-token NAME=value
    Sök efter blockenheter med tokens med namnet NAME som har värdet värde och visa alla enheter som hittas. Vanliga värden för NAME är TYPE, LABEL och UUID. Om det inte finns några enheter angivna på kommandoraden söks alla blockenheter, annars söks endast de angivna enheterna.

-u, --usages lista
    Begränsa sonderingsfunktionerna till den angivna (kommaseparerade) listan med "användningstyper". Användningstyper som stöds är: filesystem, raid, crypto och other. Listobjekten kan föregås av "no" för att ange vilka användningstyper som ska ignoreras. Exempel: "no":

    blkid --probe --usages filesystem,other /dev/sda1

    prober för alla filsystem och andra format (t.ex. swap), och

    blkid --probe --usages noraid /dev/sda1

    probes för alla format som stöds utom RAID. Denna flagga är endast användbart tillsammans med --probe.

-U, --uuid uuid
    Leta upp den enhet som använder detta filsystem uuid. För mer information se flaggan --label.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

Om den angivna enheten eller enheten som adresseras av den angivna token (flaggan --match-token) hittades och det är möjligt att samla in information om enheten, returneras utgångsstatus 0. Observera att flaggan --match-tag filtrerar utmatningstaggar, men det påverkar inte utgångsstatus.

Om den angivna token inte hittades, eller om inga (angivna) enheter kunde identifieras, eller om det är omöjligt att samla in någon information om enhetsidentifierare eller enhetsinnehåll, returneras en exitstatus på 2.

Vid användningsfel eller andra fel returneras en utgångsstatus på 4.

Om ett ambivalent sonderingsresultat upptäcktes i lågnivåsonderingsläget (-p), returneras en utgångsstatus på 8.

KONFIGURATIONSFIL

Standardplatsen för konfigurationsfilen /etc/blkid.conf kan åsidosättas med hjälp av miljövariabeln BLKID_CONF. Följande flaggor kontrollerar biblioteket libblkid:

SEND_UEVENT=<yes|not>
    Skickar uevent när /dev/disk/by-{label,uuid,partuuid,partlabel}/ symlänk inte matchar med LABEL, UUID, PARTUUID eller PARTLABEL på enheten. Standard är "yes".

CACHE_FILE=<path>
    Åsidosätter standardplatsen för cachefilen. Denna inställning kan åsidosättas av miljövariabeln BLKID_FILE. Standard är /run/blkid/blkid.tab, eller /etc/blkid.tab på system utan en /run-katalog.

EVALUATE=<methods>
    Definierar utvärderingsmetod(er) för LABEL och UUID. För närvarande stöder libblkid-biblioteket metoderna "udev" och "scan". Mer än en metod kan anges i en kommaseparerad lista. Standard är "udev,scan". "udev"-metoden använder udev /dev/disk/by-*-symlänkar och "scan"-metoden skannar alla blockenheter från filen /proc/partitions.

MILJÖ

Om du ställer in LIBBLKID_DEBUG=all aktiveras felsökningsutmatning.

UPPHOVSPERSONER

blkid skrevs av Andreas Dilger för libblkid och förbättrades av Theodore Ts’o och Karel Zak.

SE ÄVEN

libblkid(3), findfs(8), lsblk(8), wipefs(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot blkid ingår i paketet util-linux som kan hämtas från